package be.iminds.ilabt.jfed.lib;

import be.iminds.ilabt.jfed.lowlevel.connection.BasicConnectionBuilderFactory;
import be.iminds.ilabt.jfed.lowlevel.connection.ConnectionBuilderFactory;
import be.iminds.ilabt.jfed.lowlevel.connection_pool.JFedConnectionProvider;
import be.iminds.ilabt.jfed.lowlevel.connection_pool.SfaConnectionPool;
import com.google.inject.AbstractModule;

import javax.inject.Singleton;

/**
 * CoreModule
 */
public class PreLoginCoreModule extends AbstractModule {
    @Override
    protected void configure() {
//        bind(JFedTrustStore.class).in(Singleton.class);
        bind(JFedConnectionProvider.class).to(SfaConnectionPool.class).in(Singleton.class);
        bind(ConnectionBuilderFactory.class).to(BasicConnectionBuilderFactory.class).in(Singleton.class);
    }
}
